Botan 1.10.17

Public Member Functions | List of all members
Botan::Internal_Error Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Internal_Error:

## Public Member Functions
| Internal_Error (const std::string &err)

## Detailed Description

Internal_Error Exception

Definition at line 45 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Internal_Error()

Botan::Internal_Error::Internal_Error | ( | const std::string & | err | ) |
| inline

Definition at line 47 of file exceptn.h.

47 :
48 Exception("Internal error: " + err)
49 {}
Botan::Exception
std::runtime_error Exception
Definition: exceptn.h:19

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h